SDL_utf8strlcpy(3)

NAME
SDL_utf8strlcpy - Copy an UTF-8 string.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_utf8strlcpy(char *dst, const char *src, size_t dst_bytes);

DESCRIPTION
This function copies up to dst_bytes

• 1 bytes from src to dst while also ensuring that the string written to dst does not end in a truncated multi-byte sequence. Finally, it appends a null terminator. src and dst must not overlap.

Note that unlike SDL_strlcpy (), this function returns the number of bytes written, not the length of src .

FUNCTION PARAMETERS

dst The destination buffer. Must not be NULL, and must not overlap with src .

src The null-terminated UTF-8 string to copy. Must not be NULL, and must not overlap with dst .

dst_bytes
    The length (in bytes) of the destination buffer. Must not be 0.

RETURN VALUE
Returns the number of bytes written, excluding the null terminator.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_strlcpy(3)